
#include <mgl.h>

mglTexture *texture;

void display (void)
{
  mglColor c;
  int x, y;

  mglRotationAngle = 45;
  mglSetTextureColors (mglWhite);
  mglSetTextureZoom (0.333);
  mglDrawTexturedRectangle (texture, -2000, -2000, 4000, 4000);

  mglRotationAngle = 0;
  c = mglBlue;
  c.a = 0.5;
  mglTextureColor [0] = mglTextureColor [1] = c;
  mglSetTextureZoom (2.5);
  x = (mglVirtualWidth  - mglTextureZoomX * texture->image.w) / 2;
  y = (mglVirtualHeight  - mglTextureZoomY * texture->image.h) / 2;
  mglDrawTexture (texture, x, y);
}

int main (void)
{
  mglVirtualWidth = 1000;
  mglVirtualHeight = 1000;
  mglOpenWindow ("Demonstrace modulu Textures", 100, 100, 256, 256);

  texture = mglLoadTexture ("../data/examples/chess.tga", 0, GL_LINEAR);

  mglSetDisplayHandler (display);
  mglRun ();
  return 0;
}
